:root {
    --bs-font-sans-serif: "Inter", serif !important;
}

.signup-link {
    text-decoration: none;
    color: inherit;     /* Keeps same text color */
}

/*.signup-link:hover {*/
/*    text-decoration: underline;*/
/*}*/

.homebanner-section {
    position: relative;
}

.banner-image-wrapper {
    height: 752px;
    position: relative;
    margin-bottom: 0;
}

.banner-image-wrapper::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(187.08deg, #000000 5.53%, rgba(0, 0, 0, 0) 66.8%);
    z-index: 2;

}

.banner-image {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    background-color: black;
    z-index: 1;
}

.banner-header {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 3;
    top: 92px;
}

.banner-header .container {

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.login-btn , .signup-btn {
    text-decoration: none;
    font-size: 15px;
    color: white;
    font-weight: 600;
    line-height: 24px;
}

.banner-help {
    z-index: 3;
    background: linear-gradient(81.26deg, rgba(0, 0, 0, 0.58) 57.72%, rgba(102, 102, 102, 0.58) 112.9%);
    padding: 30px;
    position: absolute;
    bottom: 58px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 869px;
    border-radius: 14px;
}

.banner-help h1 {
    text-align: center;
    max-width: 433px;
    margin: 0 auto;
    margin-bottom: 25px;
    font-size: 26px;
    font-weight: 600;
    line-height: 31px;
    color: white;
}

.banner-help-actions {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    column-gap: 106px;
}

.banner-help-dropdowns {
    width: 100%;
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.select-wrapper {
    display: flex;
    flex-direction: column;
    row-gap: 11px;
    flex: 1 1 0;
}

.select-label {
    color: #FFF1F1;
    font-size: 13px;
    font-weight: 500;
    line-height: 15px;
}

.banner-select {
    width: 100%;
}

.select2-container {
    width: 100% !important;
}

.select2-selection {
    height: auto !important;
    border-radius: 7px !important;
}

.select2-selection__rendered {
    padding: 12px 20px !important;
    height: 41px !important;
    display: flex !important;
    align-items: center !important;
    color: #343232 !important;
    font-size: 13px !important;
    font-weight: 500 !important;
}

.select2-selection__arrow {
    top: 50% !important;
    transform: translateY(-50%) !important;
    right: 17px !important;
}

.select2-selection__arrow b {
    border-color: #A7A86E transparent transparent transparent !important;
    border-width: 8px 8px 0 8px !important;
    margin-left: 0 !important;
    margin-top: 0 !important;
    left: 10px !important;
    transform: translateY(-50%) !important;
}

.select2-results__option--selected {
    background-color: #74AD15 !important;
}

.age-select-wrapper {
    background-color: #E7E7E7;
    border-radius: 7px;
    justify-content: space-between;
    align-items: center;
}

.age-select {
    width: 40%;
}

.dropdown-seperator {
    color: #343232;
    font-weight: 500;
    font-size: 13px;
}

.search-btn {
    background-color: #74AD15;
    padding: 13px 51px;
    font-weight: 500;
    font-size: 13px;
    color: white;
    outline: none;
    border: none;
    border-radius: 7px;
}
.search-btn:hover {
    background-color: #45a049; /* Color on hover */
}

.why-matrimony {
    padding: 64px 0 120px 0;
    background-color: white;
}

.why-matrimony-ttl {
    font-weight: 800;
    font-size: 40px;
    line-height: 47px;
    display: flex;
    justify-content: center;
    margin-bottom: 5px;
    font-family: "Abhaya Libre", serif;
}

.why-matrimony-desc {
    color: #686868;
    font-size: 13px;
    font-weight: 500;
    line-height: 16px;
    text-align: center;
    max-width: 521px;
    margin: 0 auto;
}

.why-matrimony-card-wrapper {
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
}

.why-matrimony-card {
    text-align: center;
    width: 33%;
}

.card-img-wrapper {
    width: 188px;
    height: 176px;
    position: relative;
    margin: 0 auto;
    margin-bottom: 38px;
}

.card-img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.card-ttl {
    font-weight: 700;
    font-size: 15px;
    line-height: 19px;
    margin-bottom: 18px;
}

.card-desc {
    color: #686868;
    font-size: 12px;
    font-weight: 500;
    line-height: 15px;
    max-width: 229px;
    margin: 0 auto;
}

.happy-stories {
    padding: 67px 0 91px 0;
    background-color: #DCDCDC;
}

.stories-ttl {
    margin-bottom: 46px;
    font-weight: 800;
    font-size: 44px;
    line-height: 52px;
    font-family: "Abhaya Libre", serif;
}

.happy-swiper {
    margin-left: 120px !important;
}

.swiper-button-next,
.swiper-button-prev {
    display: none !important;
}

.happy-stories-slide {
    background-color: white;
    border-radius: 10px;
    text-align: center;
    padding-bottom: 30px;
}

.slider-image {
    width: 100%;
    height: 146px;
    object-fit: cover;
    border-radius: 12px;
}

.slider-name {
    margin: 19px 0;
    display: block;
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
}

.slider-details {
    max-width: 237px;
    margin: 0 auto;
    color: #686868;
    font-size: 10px;
    font-weight: 500;
    line-height: 12px;
    display: block;
}

.about {
    padding: 85px 0;
}

.about-wrapper {
    display: flex;
    align-items: flex-start;
    column-gap: 137px;
}

.about-wrapper-title>h2 {
    font-weight: 800;
    font-size: 44px;
    line-height: 52px;
    font-family: "Abhaya Libre", serif;

}

.about-wrapper-title>span {
    font-family: "Abhaya Libre", serif;
    font-size: 17px;
    font-weight: 800;
    color: #686868;

}

.about-content-wrapper {
    display: flex;
    flex-direction: column;
}

.about-content-article {
    display: flex;
    align-items: flex-start;
    column-gap: 56px;
}

.about-content-article>p {
    color: #686868;
    font-weight: 500;
    font-size: 13px;
    line-height: 15px;
    max-width: 352px;
    margin-right: auto;
}

.about-content-img>img {
    max-width: 100%;
}

.surprising-banner {
    background: linear-gradient(272.59deg, #FFF6C7 26.08%, #74AD15 76.73%);
    padding: 42px 57px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-top: 52px;
    border-radius: 22px;
    gap: 40px;
}

.surprising-banner {
    .surprising-ttl {
        color: white;
        font-size: 25px;
        font-weight: 600;
        line-height: 30px;
        max-width: 310px;
        margin-bottom: 0;
    }
}

.registration-section {
    padding: 52px 87px;
    background: linear-gradient(256.22deg, #E9E9E9 11.84%, #FFFEFE 105.34%);
    border-radius: 29px;
    margin-top: 45px;
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: space-between;

    .registration-list {
        ul {
            display: flex;
            flex-direction: column;
            row-gap: 20px;
            max-width: 502px;
            margin-right: auto;
            margin-bottom: 0;
            list-style-type: none;

            li {
                font-size: 20px;
                font-weight: 600;
                line-height: 24px;
                position: relative;

                &::before {
                    content: "";
                    position: absolute;
                    left: -30px;
                    top: 5px;
                    height: 10px;
                    width: 10px;
                    border-radius: 50%;
                    background-color: #74AD15;
                }
            }
        }
    }

    .registration-fees-image {
        position: relative;

        .reg-fee-img1 {
            width: 141px;
            height: 146px;
            border-radius: 22px;
            object-fit: cover;
            overflow: hidden;
        }

        .reg-fee-img2 {
            position: absolute;
            left: -37px;
            top: -37px;
            z-index: 2;
            border: 6px solid white;
            border-radius: 22px;
            width: 74px;
            height: 84px;
            overflow: hidden;
            object-fit: contain;
        }
    }
}

@media (max-width: 992px) {

    .banner-header {
        top: 30px;

    }

    .happy-swiper {
        margin-left: 20px !important;
    }

    .why-matrimony {
        padding: 50px 0;
    }

    .why-matrimony-card-wrapper {
        flex-direction: column;

    }

    .why-matrimony-ttl {
        font-size: 30px;
    }

    .why-matrimony-card {
        width: 100%;
    }

    .banner-help-actions {
        flex-direction: column;
        align-items: flex-start;
        row-gap: 30px;
    }

    .select2-selection__arrow b {
        border-width: 3px 3px 0 3px !important;
        left: 25px !important;
    }

    .about-wrapper {
        flex-direction: column;
        row-gap: 40px;
    }

    .about-content-article {
        flex-direction: column-reverse;
        row-gap: 20px;
    }

    .surprising-banner {
        padding: 30px;
        background: linear-gradient(272.59deg, #FFF6C7 -0.92%, #74AD15 76.73%);
        flex-direction: column-reverse;
    }


    .registration-section {
        flex-direction: column-reverse;
        padding: 30px;
        padding-top: 60px;
    }
}